org.springframework.cloud.dataflow.rest.resource

## Class ScheduleInfoResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<ScheduleInfoResource>
  - - org.springframework.cloud.dataflow.rest.resource.ScheduleInfoResource

-     public class ScheduleInfoResource
      extends org.springframework.hateoas.RepresentationModel<ScheduleInfoResource>

  A HATEOAS representation of a `ScheduleInfo`.
  Author:
    Glenn Renfro

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ScheduleInfoResource.Page`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ScheduleInfoResource()` Default constructor to be used by Jackson.
    `` | `ScheduleInfoResource(String scheduleName, String taskDefinitionName, Map<String,String> scheduleProperties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getScheduleName()`
    `Map<String,String>` | `getScheduleProperties()`
    `String` | `getTaskDefinitionName()`
    `void` | `setScheduleName(String scheduleName)`
    `void` | `setScheduleProperties(Map<String,String> scheduleProperties)`
    `void` | `setTaskDefinitionName(String taskDefinitionName)`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScheduleInfoResource

          protected ScheduleInfoResource()

      Default constructor to be used by Jackson.

    - #### ScheduleInfoResource

          public ScheduleInfoResource(String scheduleName,
                                      String taskDefinitionName,
                                      Map<String,String> scheduleProperties)

  - ### Method Detail

    - #### getScheduleName

          public String getScheduleName()

    - #### setScheduleName

          public void setScheduleName(String scheduleName)

    - #### getTaskDefinitionName

          public String getTaskDefinitionName()

    - #### setTaskDefinitionName

          public void setTaskDefinitionName(String taskDefinitionName)

    - #### getScheduleProperties

          public Map<String,String> getScheduleProperties()

    - #### setScheduleProperties

          public void setScheduleProperties(Map<String,String> scheduleProperties)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.